|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher
com.atlassian.jira.issue.search.searchers.impl.QuerySearcher
public class QuerySearcher
| Field Summary | |
|---|---|
static String |
ID
The ID of the query searcher. |
static String |
QUERY_FIELDS_ID
The the key in the FieldValuesHolder that contains a list of fields to search. |
static Set<String> |
QUERY_JQL_FIELD_NAMES
A set of all the JQL clause names that the searcher should recognise. |
static Set<String> |
QUERY_URL_FIELD_PARAMS
The set of URL parameters that deal with field selection. |
static String |
QUERY_URL_PARAM
The URL parameter that actually contains the text to search. |
| Fields inherited from class com.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher |
|---|
fieldReference |
| Fields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher |
|---|
log |
| Constructor Summary | |
|---|---|
QuerySearcher(VelocityRequestContextFactory velocityRequestContextFactory,
com.atlassian.velocity.VelocityManager velocityManager,
ApplicationProperties applicationProperties,
FieldVisibilityManager fieldVisibilityManager,
JqlOperandResolver operandResolver)
|
|
| Method Summary | |
|---|---|
SearcherInformation<SearchableField> |
getSearchInformation()
Provides an object that contains information about the Searcher. |
SearchInputTransformer |
getSearchInputTransformer()
Provides an object that will allow you to transform raw request parameters to field holder values and field holder values to Clause search representations. |
SearchRenderer |
getSearchRenderer()
Provides an object that will allow you to render the edit and view html for a searcher. |
| Methods inherited from class com.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher |
|---|
init |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Methods inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher |
|---|
init |
| Field Detail |
|---|
public static final String ID
public static final String QUERY_FIELDS_ID
public static final Set<String> QUERY_JQL_FIELD_NAMES
public static final Set<String> QUERY_URL_FIELD_PARAMS
public static final String QUERY_URL_PARAM
| Constructor Detail |
|---|
public QuerySearcher(VelocityRequestContextFactory velocityRequestContextFactory,
com.atlassian.velocity.VelocityManager velocityManager,
ApplicationProperties applicationProperties,
FieldVisibilityManager fieldVisibilityManager,
JqlOperandResolver operandResolver)
| Method Detail |
|---|
public SearcherInformation<SearchableField> getSearchInformation()
IssueSearcher
getSearchInformation in interface IssueSearcher<SearchableField>public SearchInputTransformer getSearchInputTransformer()
IssueSearcherClause search representations.
getSearchInputTransformer in interface IssueSearcher<SearchableField>public SearchRenderer getSearchRenderer()
IssueSearcher
getSearchRenderer in interface IssueSearcher<SearchableField>
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||